Subject: Re: [v2,2/5] net: phy: realtek: simplify C22 reg access via MDIO_MMD_VEND2

From: Jakub Kicinski <[email-masked]>
Date: Sat, 17 Jan 2026 16:17:08 -0800

On Sat, 17 Jan 2026 19:10:15 -0500 Chris Mason wrote:
> >> Yeah. Just that this is not part of the series submitted.
> >> It's rather a (halucinated) partial revert of
> >> [v2,4/5] net: phy: realtek: demystify PHYSR register location  
> > 
> > Oh wow, that's a first. No idea how this happened. Is the chunk if
> > hallucinated from another WIP patch set?
> > 
> > Chris, FWIW this is before we added lore indexing so I don't think 
> > it got it from the list. Is it possible that semcode index is polluted
> > by previous submissions? Still, even if, it's weird that it'd
> > hallucinate a chunk of a patch.  
> 
> We've definitely had it mix up hunks from other commits, but not since 
> I changed the prompts to make it re-read the files before writing
> review-inline.txt.

To be clear as Daniel mentioned the chunk in patch 4 is the other way,
so it "reverted" the direction too. At least we have a chance to use
the "mark as false positive" in the system :)

Daniel, series applied, thanks! The pw-bot is down, I think K is
repacking repos so expect a delay in the official "applied" msg.